Subject: Re: bug#13008: Invalid oct number convertion in string

From: Daniel Hartwig <[email-masked]>
Date: Wed, 28 Nov 2012 11:34:25 +0800

On 28 November 2012 10:32, nalaginrut <[email-masked]> wrote:
>> > scheme@(guile-user)> (format #t "\033[32;31mhello\033[5m")
>>
>> Here, \0 is taken to mean #\nul, and then there are two #\3.
>>
>> IOW, there is no such syntax for octal escapes (info "(guile) String
>> Syntax").
>>
>> What made you think otherwise?
>>

> Now my question is, should we have octal-escapes? Is is impossible or
> not implemented yet?

You can use two or four digit hex codes, “\xHH” and “\uHHHH”.  Is it
useful to support octal on top of that?